This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 337861 - system-config-firewall changes not commited immediately
system-config-firewall changes not commited immediately
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 08:27 EDT by Bas Mevissen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.7.0-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 22:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bas Mevissen 2007-10-18 08:27:47 EDT
Description of problem:
When you change a firewall setting, it is not applied before service iptables is
restarted. This is not what I expect.

Version-Release number of selected component (if applicable):
fc6 system up to date; system-config-securitylevel-1.6.27-2

How reproducible:
Always.

Steps to Reproduce:
In Gnome session: 
1. Select Top menu System -> Administration -> Security level and Firewall
2. Enter root password (when requested)
3. Change some setting
4. Press OK
5. Press Yes
 
Actual results:
New setting is stored, but first becomes in effect when service iptables is
restarted.

Expected results:
New setting in effect immediately.

Additional info:
Seems to apply to fc6 too.
Comment 1 Fedora Update System 2007-11-09 18:58:45 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-securitylevel'
Comment 2 Bas Mevissen 2007-11-09 19:41:50 EST
Can't find it (yet) on
http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/7/* Maybe it
takes a while to get there.
Comment 3 Fedora Update System 2007-11-14 22:41:17 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Bas Mevissen 2007-11-17 11:52:09 EST
Sorry, cannot test it anymore as I moved to Fedora 8, where it is working like
it should.

Note You need to log in before you can comment on or make changes to this bug.